#!/usr/bin/env python3
"""
   utils.database.from_api.py file for the c3 buttons.
"""


###
### DEPENDENCIES
###
import sys
import time
from gpiozero import LED

### LOCAL
try:
    from .box_pin import BoxPin
except ImportError as e:
    print("Unable to import 'BoxPin' from 'utils.boxes.box_pin.py' file at 'utils.boxes.box_button.py' file" )
    sys.exit(1)


class BoxLed(BoxPin):
    """
        TODO: Documentation
    """

    def __init__(self, configuration: dict, box_name: str) -> None:
        """
            TODO: Documentation
        """

        ### Init super
        super().__init__(name=__name__, configuration=configuration, box_name=box_name)

        self.logger.debug(f"__init__ - box_name: '{box_name}'")

        self.blink_times = int(self.configuration.box_led_blink_times)

        self.set_pin_usage()

    def set_pin_usage(self):
        self.logger.debug(f"set_pin_usage - box_name: '{self.box_name}'")

        self.led = LED(self.pin_led)

        if self.configuration.box_led_always_on:
            self.led.on()

    def activated(self):
        self.logger.debug(f"activated - box_name: '{self.box_name}' | pin_led: '{self.pin_led}'")

        i = 0
        if self.configuration.box_led_always_on:
            while i in range(self.blink_times):
                self.led.off()
                time.sleep(0.5)
                self.led.on()
                time.sleep(0.5)
                i += 1

            self.led.on()

        else:
            while i in range(self.blink_times):
                self.led.on()
                time.sleep(0.5)
                self.led.off()
                time.sleep(0.5)
                i += 1

            self.led.off()

