#!/usr/bin/env python3
"""
   utils.config.default_vals.py file for the c3 buttons.
   Used for setting the default values from the 'utils.app_configuration.py' file.
"""

DEFAULT_VALUES = {
    'DEFAULT_DESCRIPTION': 'UPDATE_THIS',
    # 'DEFAULT_PATH_CONFIG_ENV': './.env',
    'DEFAULT_PATH_CONFIG_ENV': '.env',
    ###
    ### config.yml
    ###
    'DEFAULT_USING_PARSED_YAML': False,
    'DEFAULT_PATH_CONFIG_YML': './utils/configuration/config.yml',
    ###
    ### DEBUG/VEBOSE
    ###
    'DEFAULT_DEBUG': False,
    'DEFAULT_VERBOSE': False,
    ###
    ### LOG
    ###
    # "DEFAULT_LOG_TO_FILE": True,
    "DEFAULT_LOG_TO_FILE": False,
    "DEFAULT_LOG_FILE_APPEND_MODE": True,
    "DEFAULT_LOG_FILE_PATH": "./logs/example.log",
    "DEFAULT_LOG_FORMAT": '%(asctime)s - %(levelname)s - %(name)s - %(message)s',
    ###
    ### DB
    ###
    "DEFAULT_DATABASE_TYPE":"local_file",
    "DEFAULT_DATABASE_TABLE_NAME_BUTTON_BOX": "button_box",
    "DEFAULT_DATABASE_TABLE_NAME_BUTTON_BOX_USE": "button_box_use",
    "DEFAULT_DATABASE_LOCAL_DB_FILE_PATH":"Please set --> DATABASE_LOCAL_DB_FILE_PATH",
    "DEFAULT_DATABASE_API_URL":"http://localhost:8000",
    "DEFAULT_DATABASE_API_TOKEN":"Please set --> DATABASE_API_TOKEN",
    ###
    ### BOXES CONFIG
    ###
    'DEFAULT_BOX_LED_ENABLED': False,
    'DEFAULT_BOX_LED_AWAYS_ON': False,
    'DEFAULT_BOX_LED_BLINK_TIMES': 5,

    ### DEFAULT_BOX_BUTTON_BOUNCE_TIME in microseconds
    'DEFAULT_BOX_BUTTON_BOUNCE_TIME': "0.1",
    
    ###
    ### BOXES USED
    ###
    "DEFAULT_BOXES_USED": "DEFAULT_BOX_1, DEFAULT_BOX_2, DEFAULT_BOX_3, DEFAULT_BOX_4, DEFAULT_BOX_5",
    "DEFAULT_BOX_1": '{"pin_button": 14, "pin_led": 15}',
    "DEFAULT_BOX_2": '{"pin_button": 18, "pin_led": 23}',
    "DEFAULT_BOX_3": '{"pin_button": 24, "pin_led": 25}',
    "DEFAULT_BOX_4": '{"pin_button": 8, "pin_led": 7}',
    "DEFAULT_BOX_5": '{"pin_button": 12, "pin_led": 16}',
}
